Results 1 to 9 of 9

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: If it runs on 3.1.3 will it run on 3.1.2?

  1. #1
    iPhone? More like MyPhone red_zone's Avatar
    Join Date
    May 2010
    Location
    Take a Look Behind You...Just Kidding
    Posts
    123
    Thanks
    9
    Thanked 3 Times in 3 Posts

    Default If it runs on 3.1.3 will it run on 3.1.2?
    While I was updating cydia apps on my JB+Unlocked iPhone 1st Gen (2G) something went wrong and the phone completely crashed and rebooted itself. Now it's stuck in safemode. So I'm going to restore and downgrade to 3.1.2. Will all my apps that run on 3.1.3 run on 3.1.2? Can I use the redsn0w that I used to JB+Unlock 3.1.3 to do the same on 3.1.2.

  2. #2
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    48,875
    Thanks
    8,108
    Thanked 17,645 Times in 8,025 Posts

    They should run on 3.1.2 and yes you can use the same redsn0w to jailbreak.

  3. The Following User Says Thank You to Simon For This Useful Post:

    red_zone (2010-11-06)

  4. #3
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    That can't be guaranteed. Some apps for some silly reason are for 3.1.3 and up.

    Why not just restore to 3.1.3 again? As long as you don't restore from back up after the initial restore to 3.1.3, you won't bring the problem back.

  5. #4
    iPhoneaholic dotFIVE's Avatar
    Join Date
    Sep 2010
    Location
    California
    Posts
    494
    Thanks
    9
    Thanked 82 Times in 79 Posts

    Unless it's specifically made for 3.1.3, the apps should work fine. And yes, you can use redsn0w to jailbreak 3.1.3. Just point it to stock 3.1.2 firmware.

    EDIT: Geez, I think the members of ModMyi are upping their response times.

  6. The Following User Says Thank You to dotFIVE For This Useful Post:

    red_zone (2010-11-06)

  7. #5
    iPhone? More like MyPhone red_zone's Avatar
    Join Date
    May 2010
    Location
    Take a Look Behind You...Just Kidding
    Posts
    123
    Thanks
    9
    Thanked 3 Times in 3 Posts

    @Anniex423
    I want 3.1.2 because if im going to downgrade, i am going to downgrade to a firmware that supports enabling picture messaging.
    and so I CAN use redsn0w 0.9.2 to JB+Unlock?

  8. #6
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    3.1.3 supports MMS. there's a user here I forgot who...he knows how to get it enabled. But it is possible on 3.1.3. But o ahead with the downgrade to 3.1.2, MOST apps should be ok. Just don't be surprised if you find one or a new app that you want and it wants 3.1.3. I think there's an app in Cydia that tricks your phone to thinking its on 3.1.3 when you're on 3.1.2, but there was a user here that actually had his phone crash and had to restore after using it. I dunno, it's complicated. You should be fine on 3.1.2 tho for the most part.

  9. #7
    iPhone? More like MyPhone red_zone's Avatar
    Join Date
    May 2010
    Location
    Take a Look Behind You...Just Kidding
    Posts
    123
    Thanks
    9
    Thanked 3 Times in 3 Posts

    i dont install many new hacks other than the ones I have now. I also know how to fake the firmware if I need it faked...

  10. #8
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Oh, I was talking about app store apps. But yeah, since you've got it all down, go for it.

  11. #9
    iPhone? More like MyPhone red_zone's Avatar
    Join Date
    May 2010
    Location
    Take a Look Behind You...Just Kidding
    Posts
    123
    Thanks
    9
    Thanked 3 Times in 3 Posts

    alright. I will try. Thanks for the Insight

    3.1.2 JB+Unlock was a success.
    Now to reinstall all my apps..
    Last edited by red_zone; 2010-11-06 at 06:13 AM. Reason: Automerged Doublepost

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •